package com.heyu.api.data.entity.third;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*第三方开发者信息配置表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("third_config_info")
public class ThirdConfigInfoEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.third.ThirdConfigInfoEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";      // 修改时间
    public final static String app_id = CLASS_NAME + "app_id";                // app ID
    public final static String app_key = CLASS_NAME + "app_key";              // app key
    public final static String app_security = CLASS_NAME + "app_security";    // app安全密钥
    public final static String open_name = CLASS_NAME + "open_name";          // 开放平台名称
    public final static String open_company = CLASS_NAME + "open_company";    // 开放平台公司
    public final static String open_type = CLASS_NAME + "open_type";          // 开放类型：0 语言模型 1：音乐 2 有声读物 3 天气 4 导航
    public final static String sandbox_url = CLASS_NAME + "sandbox_url";      // 沙盒调用地址
    public final static String product_url = CLASS_NAME + "product_url";      // 线上环境地址
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //app ID
    private Long appId;
    //app key
    private String appKey;
    //app安全密钥
    private String appSecurity;
    //开放平台名称
    private String openName;
    //开放平台公司
    private String openCompany;
    //开放类型：0 语言模型 1：音乐 2 有声读物 3 天气 4 导航
    private Integer openType;
    //沙盒调用地址
    private String sandboxUrl;
    //线上环境地址
    private String productUrl;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * app ID 
     * @return
     */
    public Long getAppId() {
        return appId;
    }
    /**
     * app ID 
     * @param appId
     */
    public void setAppId(Long appId) {
        this.appId = appId;
    }

    /**
     * app key 
     * @return
     */
    public String getAppKey() {
        return appKey;
    }
    /**
     * app key 
     * @param appKey
     */
    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    /**
     * app安全密钥 
     * @return
     */
    public String getAppSecurity() {
        return appSecurity;
    }
    /**
     * app安全密钥 
     * @param appSecurity
     */
    public void setAppSecurity(String appSecurity) {
        this.appSecurity = appSecurity;
    }

    /**
     * 开放平台名称 
     * @return
     */
    public String getOpenName() {
        return openName;
    }
    /**
     * 开放平台名称 
     * @param openName
     */
    public void setOpenName(String openName) {
        this.openName = openName;
    }

    /**
     * 开放平台公司 
     * @return
     */
    public String getOpenCompany() {
        return openCompany;
    }
    /**
     * 开放平台公司 
     * @param openCompany
     */
    public void setOpenCompany(String openCompany) {
        this.openCompany = openCompany;
    }

    /**
     * 开放类型：0 语言模型 1：音乐 2 有声读物 3 天气 4 导航 
     * @return
     */
    public Integer getOpenType() {
        return openType;
    }
    /**
     * 开放类型：0 语言模型 1：音乐 2 有声读物 3 天气 4 导航 
     * @param openType
     */
    public void setOpenType(Integer openType) {
        this.openType = openType;
    }

    /**
     * 沙盒调用地址 
     * @return
     */
    public String getSandboxUrl() {
        return sandboxUrl;
    }
    /**
     * 沙盒调用地址 
     * @param sandboxUrl
     */
    public void setSandboxUrl(String sandboxUrl) {
        this.sandboxUrl = sandboxUrl;
    }

    /**
     * 线上环境地址 
     * @return
     */
    public String getProductUrl() {
        return productUrl;
    }
    /**
     * 线上环境地址 
     * @param productUrl
     */
    public void setProductUrl(String productUrl) {
        this.productUrl = productUrl;
    }

    @Override
    public String toString() {
        return "ThirdConfigInfoEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",appId=" + appId +
                ",appKey=" + appKey +
                ",appSecurity=" + appSecurity +
                ",openName=" + openName +
                ",openCompany=" + openCompany +
                ",openType=" + openType +
                ",sandboxUrl=" + sandboxUrl +
                ",productUrl=" + productUrl +
                "}";
    }
}